Name: netwalk
Version: 0.4.7
Release: alt3

Packager: Denis Klykvin <nikon@altlinux.ru>

Summary: NetWalk is a puzzle game where the object is to connect every terminal to the main server.
URL: http://rooster.stanford.edu/~ben/netwalk/%name-%version.tgz 

License: GPL
Group: Games/Puzzles

Source0: %name-%version.tgz
Source1: %name-16.png
Source2: %name-32.png
Source3: %name-48.png
Patch0: %name-%version-home.patch

# Automatically added by buildreq on Fri Mar 04 2005
BuildRequires: esound freetype2 libSDL-devel libSDL_ttf-devel xorg-x11-libs

%description
NetWalk is a puzzle game where the object is to connect every terminal to the main server

In this version, not only must every terminal be connected, but every piece of
cable must also be connected to the main server somehow.
Click on a square to rotate its contents. A left click performs an
anticlockwise rotation and a right click performs a clockwise rotation.
You can select presets, or make a custom game in the options window.
There is one shortcut key: F2 starts a new game.

%prep
%setup -q
%patch0 -p1
%build
%make_build

%install
%make_install
%__mkdir_p $RPM_BUILD_ROOT%_usr/games/
install -pm 755 %name $RPM_BUILD_ROOT%_usr/games/%name
%__mkdir_p $RPM_BUILD_ROOT%_datadir/%name
install -D -pm 644 helmetr.ttf $RPM_BUILD_ROOT%_datadir/%name/helmetr.ttf
%__mkdir_p $RPM_BUILD_ROOT%_docdir/%name-%version
%__mkdir_p $RPM_BUILD_ROOT%_menudir
install -D -pm 644 README LICENSE NEWS $RPM_BUILD_ROOT%_docdir/%name-%version
install -D -pm 644 %SOURCE1 %buildroot%_miconsdir/%name.png
install -D -pm 644 %SOURCE2 %buildroot%_iconsdir/%name.png
install -D -pm 644 %SOURCE3 %buildroot%_liconsdir/%name.png


cat > $RPM_BUILD_ROOT%_menudir/%name <<EOF
 ?package(netwalk):\	
 command="netwalk"\
 title="NetWalk"\
 longtitle="NetWalk game"\
 needs="x11"\
 section="Amusement/Puzzles"
EOF

%post
%update_menus

%postun
%clean_menus

%files
%_docdir/%name-%version/*
%_usr/games/*
%_datadir/%name
%_menudir/%name
%_miconsdir/*.png
%_iconsdir/*.png
%_liconsdir/*.png

%changelog
* Fri Mar 04 2005 Denis Klykvin <nikon@altlinux.ru> 0.4.7-alt3
- Build new version

* Sat Aug 21 2004 Denis Klykvin <nikon@altlinux.ru> 0.4.6-alt2
- Allowed key repeating
- Patch modified

* Thu Aug 05 2004 Denis Klykvin <nikon@altlinux.ru> 0.4.4-alt1
- Initial build
- Added patch for creating $HOME/.netwalk directory
